Bug 867165 - Numerous AVC's preventing pyzor integration with amavisd
Numerous AVC's preventing pyzor integration with amavisd
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-16 19:55 EDT by John Florian
Modified: 2012-12-20 10:43 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:43:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
audit.log contents from injecting a single test email through amavisd/pyzor (4.40 KB, application/octet-stream)
2012-10-16 19:55 EDT, John Florian
no flags Details

  None (edit)
Description John Florian 2012-10-16 19:55:24 EDT
Created attachment 628468 [details]
audit.log contents from injecting a single test email through amavisd/pyzor

Description of problem:
amavisd cannot use pyzor with SELinux in enforcing mode.

Version-Release number of selected component (if applicable):
selinux-policy-3.10.0-153.fc17.noarch
amavisd-new-2.6.6-2.fc17.noarch
pyzor-0.5.0-6.fc17.noarch

How reproducible:
always
  
Actual results:
Numerous AVC's are generated.  See attachment.
Comment 1 Miroslav Grepl 2012-10-17 02:46:46 EDT
Fixed.

commit 499f023da4610edefe56561b2159be8d645311bc
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Wed Oct 17 08:46:18 2012 +0200

    Allow pyzor running as spamc to manage amavis spool
Comment 2 Fedora Update System 2012-10-17 08:37:01 EDT
selinux-policy-3.10.0-156.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-156.fc17
Comment 3 Fedora Update System 2012-10-17 20:28:26 EDT
Package selinux-policy-3.10.0-156.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-156.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16347/selinux-policy-3.10.0-156.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-12-20 10:43:26 EST
selinux-policy-3.10.0-156.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.